<template>
    <div v-if="url.length">
        <vue-audio :file="url"></vue-audio>
    </div>
</template>

<script>
    import EventBus from "../app";
    import VueAudio from 'vue-audio'
    import "vue-audio/src/style.css"

    export default {
        components:{
            VueAudio
        },
        data(){
            return {
                url:""
            }
        },
        mounted() {
            EventBus.$on('sample-url', payload => {
                this.url = payload
            })
            EventBus.$on('single-item', () =>{
                this.url = ""
            })
        }
    }
</script>

<style scoped>

</style>